//Thalassa system
//Thalassa
Planet "Thalassa (P)/Thalassa/Thalassa 4"
{
    ParentBody  "Thalassa (S)"
    Class       "Terra"
    Mass 	1.285428027
	Radius  7015.9507 //hypothetic
	RotationPeriod 29.33861992 //h = ((1/29.4325) + (1/(29.4325*312.5116793))^(-1) (Solar day : 29.4325 h)
	Gravity 1.06 //g = 10.3986 m/s = 9.81*(1+(6/100))
	Obliquity   -7.4152 //hypothetic
	
	Life
	{
		Class   "Organic"
		Type    "Multicellular"
		Biome   "Marine/Terrestrial"
		Panspermia	false
	}
	
	Surface
	{
		SurfStyle       0.520806
		OceanStyle      0.149282
		Randomize      (1.079, -0.889, 0.190)
		colorDistMagn   0.0415044
		colorDistFreq   697.054
		detailScale     18045.4
		colorConversion true
		drivenDarkening -1
		seaLevel        0.803431
		snowLevel       1
		tropicLatitude  0.10789
		icecapLatitude  1
		icecapHeight    1
		climatePole     0.9375
		climateTropic   0.353893
		climateEquator  0.6875
		heightTempGrad  0.583607
		tropicWidth     0.0817879
		mainFreq        0.584501
		venusFreq       1
		venusMagn       0
		mareFreq        0.372759
		mareDensity     0.0714286
		terraceProb     0.319919
		erosion         0
		montesMagn      0.205713
		montesFreq      259.412
		montesSpiky     0.949549
		montesFraction  0.485357
		dunesMagn       0.0601864
		dunesFreq       42.9586
		dunesFraction   0.0593326
		hillsMagn       0.0965508
		hillsFreq       583.213
		hillsFraction   0.891151
		hills2Fraction  0.581915
		riversMagn      66.8105
		riversFreq      3.97417
		riversSin       7.73035
		riversOctaves   0
		canyonsMagn     0.0339486
		canyonsFreq     100
		canyonFraction  0.520806
		cracksMagn      0.130161
		cracksFreq      0.824795
		cracksOctaves   1
		craterMagn      0.032052
		craterFreq      59.6143
		craterDensity   0
		craterOctaves   0
		craterRayedFactor 0
		volcanoMagn     0.618842
		volcanoFreq     0.781987
		volcanoDensity  0.103175
		volcanoOctaves  1
		volcanoActivity 1.33333
		volcanoFlows    0.00793651
		volcanoRadius   0.544894
		volcanoTemp     1761.9
		lavaCoverTidal  0
		lavaCoverSun    0
		lavaCoverYoung  0
		stripeZones     1.74933
		stripeFluct     0
		stripeTwist     0
		cycloneMagn     2.64312
		cycloneFreq     0.972265
		cycloneDensity  0.322386
		cycloneOctaves  4
		colorSea       (0.040, 0.100, 0.200, 1.000)
		colorShelf     (0.150, 0.480, 0.460, 1.000)
		colorBeach     (0.400, 0.330, 0.280, 0.000)
		colorDesert    (0.260, 0.240, 0.220, 0.000)
		colorLowland   (0.500, 0.420, 0.350, 0.000)
		colorUpland    (0.240, 0.210, 0.210, 0.000)
		colorRock      (0.220, 0.210, 0.210, 0.000)
		colorSnow      (1.000, 1.000, 1.000, 1.308)
		colorLowPlants (0.100, 0.160, 0.070, 0.000)
		colorUpPlants  (0.090, 0.110, 0.040, 0.000)
		BumpHeight      76.9841
		BumpOffset      61.8515

		DiffMapAlpha   "Water"
		SpecBrightWater 0.65
		SpecBrightIce   0.85
		SpecularPower   55
		Hapke           0
		SpotBright      4
		SpotWidth       0.05
		DayAmbient      0.07
	}
	
	Ocean
	{
		Height          61.8515

	}
	
	Atmosphere
	{
		Greenhouse  4.51	// degrees K
		Pressure    1.21	// atm
		Density     1.21		// kg/m^3
		Model      "Earth"
		
		Composition // values in percent
		{
			N2  77.7729
			O2  20.8625
			Ar  0.9303
			H2O 0.4000
			CO2 0.0398
		}
	}
	
	NoRings true
    
    Orbit
    {
		RefPlane     "Equator"
		Period 1.05 //years = ((1/29.33861992) - (1/29.432))^(-1) = 9198.000001 hours = 312.5116793 solar days = 383.25 Earth's solar days (Sidereal year : 1.052165173 years = ((29.4325*313.1561)/24)/365 => Solar year : (((365*(1+(5/100)))*24)/29.4325 = 312.5116793 solar days = 1.0500000001138413242009132420091 years)
		Inclination 5.714
    }
}

Moon "Thalassa (P) 1/Thalassa 4.1"
{
	ParentBody "Thalassa (P)"
	
	Class "Selena"
	
	Mass 0.147
	
	Orbit
	{
		RefPlane "Equator"
		SemiMajorAxis 3.27e-4
	}
}

Moon "Thalassa (P) 2/Thalassa 4.2"
{
	ParentBody "Thalassa (P)"
	
	Mass 0.096
	
	Orbit
	{
		RefPlane "Equator"
		SemiMajorAxis 9.24e-4
	}
}

//Sagan 2 system
//Sagan 2
Planet "Sagan 2"
{
    ParentBody  "Sagan"
	
	Mass 1.20
	Radius 7500
	
	Class "Desert"
	
	Surface
	{
		SurfStyle       0.257444
		OceanStyle      0.144458
		Randomize      (-0.127, -0.267, 0.023)
		colorDistMagn   0.0587027
		colorDistFreq   1053.62
		detailScale     19290.4
		colorConversion true
		seaLevel        0.10431
		snowLevel       0.85
		tropicLatitude  0.160773
		icecapLatitude  0.841773
		icecapHeight    0.117023
		climatePole     0.9375
		climateTropic   0.352091
		climateEquator  0.6875
		heightTempGrad  0.585409
		tropicWidth     0.0807838
		mainFreq        0.677311
		venusFreq       1.26319
		venusMagn       0.460427
		mareFreq        1.69108
		mareDensity     0.154415
		terraceProb     0.349307
		erosion         0
		montesMagn      0.214549
		montesFreq      381.121
		montesSpiky     0.889732
		montesFraction  0.247538
		dunesMagn       0.0483141
		dunesFreq       96.8685
		dunesFraction   0.955489
		hillsMagn       0.137568
		hillsFreq       1046.58
		hillsFraction   0
		hills2Fraction  0
		riversMagn      58.944
		riversFreq      3.65563
		riversSin       8.39961
		riversOctaves   0
		canyonsMagn     0.0475642
		canyonsFreq     208.776
		canyonFraction  0
		cracksMagn      0.13337
		cracksFreq      0.767182
		cracksOctaves   0
		craterMagn      0.552216
		craterFreq      23.3319
		craterDensity   0
		craterOctaves   0
		volcanoMagn     0.673092
		volcanoFreq     0.570132
		volcanoDensity  0.271302
		volcanoOctaves  3
		volcanoActivity 0.535314
		volcanoFlows    0.703567
		volcanoRadius   0.495048
		volcanoTemp     1291.89
		lavaCoverTidal  0
		lavaCoverSun    0
		lavaCoverYoung  0
		stripeZones     1.42658
		stripeTwist     0
		cycloneMagn     2.94612
		cycloneFreq     1.04457
		cycloneDensity  0.245308
		cycloneOctaves  4
		colorSea       (0.640, 0.620, 0.420, 0.000)
		colorShelf     (0.680, 0.620, 0.470, 0.000)
		colorBeach     (0.740, 0.730, 0.610, 0.000)
		colorDesert    (0.450, 0.420, 0.380, 0.000)
		colorLowland   (0.530, 0.480, 0.400, 0.000)
		colorUpland    (0.600, 0.540, 0.420, 0.000)
		colorRock      (0.170, 0.160, 0.160, 0.000)
		colorSnow      (1.000, 1.000, 1.000, 1.308)
		colorLowPlants (0.530, 0.480, 0.400, 0.000)
		colorUpPlants  (0.600, 0.540, 0.420, 0.000)
		BumpHeight      20
		DiffMapAlpha   "Ice"
		SpecBrightWater 0.5
		SpecBrightIce   0.5
		SpecularPower   30
		Hapke           0
		SpotBright      4
		SpotWidth       0.05
		DayAmbient      0.07
	}
	
	Atmosphere
	{
		Model "Mars"
		Pressure 1.20
		
		Greenhouse 4.1
		
		Composition //in %
		{
			N2 99.99
			O2 0
		}
	}
	
	NoRings true
    
    Orbit
    {
		RefPlane     "Equator"
		Period 9.34
		Inclination -8.24
    }
}

Moon "Sagan 2.1"
{
    ParentBody  "Sagan 2"
	
	Mass 0.0412
	Radius 474
	
	NoRings true
    
    Orbit
    {
		RefPlane     "Equator"
		SemiMajorAxis 2.34e-3
    }
}